<div class="mid-body">
  <div class="container">
    <h1>Fan Assembling</h1>
    <div class="fan-assembling">
      <form #assemblingForm="ngForm">
        <div class="panel-group"
          id="accordion"
          role="tablist"
          aria-multiselectable="true">
          <div class="panel">
            <div class="panel-heading"
              role="tab"
              id="headingOne">
              <h4 class="panel-title">
                <a role="button"
                  data-toggle="collapse"
                  data-parent="#accordion"
                  href="#collapseOne"
                  aria-expanded="true"
                  aria-controls="collapseOne">
                  Resistance Configuration
                  <i class="indicator fa fa-angle-down"></i>
                </a>
              </h4>
            </div>
            <div id="collapseOne"
              class="panel-collapse collapse"
              role="tabpanel"
              aria-labelledby="headingOne">
              <div class="panel-body">
                <div class="border-form">
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Select Pressure</label>
                    </div>
                    <div class="col-sm-9">
                      <select #pressureDifference="ngModel"
                        name="Pressure_Difference"
                        [(ngModel)]="fanAssembly.Pressure_Difference"
                        placeholder="0.2"
                        class="select-with-icon">
                        <option value=0>Lines 0,3(Fan with Pressure Losses at both sides)</option>
                        <option value=1>Lines 0,2(Fan with Pressure Losses at inlet)</option>
                        <option value=2>Lines 1,3(Fan with Pressure Losses at outlet)</option>
                        <option value=3>Lines 1,2(Only the Fan)</option>
                      </select>
                    </div>
                  </div>

                </div>
              </div>
            </div>
          </div>
          <div *ngIf="fanAssembly.Pressure_Difference == 0|| fanAssembly.Pressure_Difference == 1"
            class="panel">
            <div class="panel-heading"
              role="tab"
              id="headingTwo">
              <h4 class="panel-title">
                <a class="collapsed"
                  role="button"
                  data-toggle="collapse"
                  data-parent="#accordion"
                  href="#collapseTwo"
                  aria-expanded="false"
                  aria-controls="collapseTwo">
                  Resistant Coefficients Inletside
                  <i class="indicator fa fa-angle-down"></i>
                </a>
              </h4>
            </div>
            <div id="collapseTwo"
              class="panel-collapse collapse"
              role="tabpanel"
              aria-labelledby="headingTwo">
              <div class="panel-body">
                <div class="border-form">
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Inlet Sound Silencer loss Coefficient</label>
                    </div>
                    <div class="col-sm-9">
                      <select #inletSoundSilencer="ngModel"
                        name="InletSoundSilencer"
                        [(ngModel)]="fanAssembly.InletSoundSilencer"
                        placeholder="0.2"
                        class="select-with-icon">
                        <option *ngFor="let x of inletSoundSilensor">{{x.Value}}</option>
                        <!-- <option>{{x.Value}}</option> -->
                        <!-- <option>0.17</option>
                          <option>0.2</option>
                          <option>0.22</option>
                          <option>0.25</option>
                          <option>0.3</option>
                          <option>0.35</option>
                          <option>0.38</option>
                          <option>0.4</option>
                          <option>0.5</option>
                          <option>0.6</option>
                          <option>0.65</option>
                          <option>0.7</option>
                          <option>0.75</option>
                          <option>0.8</option>
                          <option>1</option>
                          <option>1.5</option>
                          <option>3</option> -->

                      </select>
                    </div>
                  </div>
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Inlet Box loss Coefficient</label>
                    </div>
                    <div class="col-sm-9">
                      <select #inBox="ngModel"
                        name="InletBox"
                        [(ngModel)]="fanAssembly.InletBox"
                        placeholder="0.10"
                        class="select-with-icon">
                        <option *ngFor="let x of inletBox">{{x.Value}}</option>
                      </select>
                    </div>
                  </div>
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Other Inlet loss Coefficient</label>
                    </div>
                    <div class="col-sm-9">
                      <select #inletOtherParts="ngModel"
                        id="InletOtherParts"
                        name="InletOtherParts"
                        [(ngModel)]="fanAssembly.InletOtherParts"
                        placeholder="0.20"
                        class="select-with-icon">
                        <option *ngFor="let x of otherInletLosses">{{x.Value}}</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="fanAssembly.Pressure_Difference == 0 || fanAssembly.Pressure_Difference == 2"
            class="panel">
            <div class="panel-heading"
              role="tab"
              id="headingThree">
              <h4 class="panel-title">
                <a class="collapsed"
                  role="button"
                  data-toggle="collapse"
                  data-parent="#accordion"
                  href="#collapseThree"
                  aria-expanded="false"
                  aria-controls="collapseThree">
                  Resistant Coefficients Outletside
                  <i class="indicator fa fa-angle-down"></i>
                </a>
              </h4>
            </div>
            <div id="collapseThree"
              class="panel-collapse collapse"
              role="tabpanel"
              aria-labelledby="headingThree">
              <div class="panel-body">
                <div class="border-form">
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Evase, Inlet/Outlet area ratio</label>
                    </div>
                    <div class="col-sm-9">
                      <input #evaseOutlet="ngModel"
                        name="EvaseOutlet_InletAreaRatio"
                        [(ngModel)]="fanAssembly.EvaseOutlet_InletAreaRatio"
                        type="text"
                        placeholder="0"
                        class="small" />
                    </div>
                  </div>
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Outlet Silencer loss Coefficient</label>
                    </div>
                    <div class="col-sm-9">
                      <select #outletSilencer="ngModel"
                        name="OutletSilencer"
                        [(ngModel)]="fanAssembly.OutletSilencer"
                        placeholder="0.4"
                        class="select-with-icon">
                        <option>0</option>
                        <option>0.2</option>
                        <option>0.25</option>
                        <option>0.3</option>
                        <option>0.4</option>
                        <option>0.45</option>
                        <option>0.5</option>
                        <option>0.50</option>
                        <option>0.6</option>
                      </select>
                    </div>
                  </div>
                  <div class="form-row row">
                    <div class="col-sm-3">
                      <label>Other Outlet loss Coefficient</label>
                    </div>
                    <div class="col-sm-9">
                      <select #outletOtherParts="ngModel"
                        name="OutletOtherParts"
                        [(ngModel)]="fanAssembly.OutletOtherParts"
                        placeholder="0.1"
                        class="select-with-icon">
                        <option>0</option>
                        <option>1</option>
                        <!-- <option>2.25</option>
                        <option>3.4</option> -->
                      </select>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="text-right mgt-15">
          <button type="button"
            class="btn-green mgl-20"
            (click)="goToPrevious.emit()">Previous</button>
          <button type="button"
            class="btn-green mgl-20"
            (click)="goToNext.emit()">Next</button>
        </div>
      </form>
    </div>
  </div>
</div>
